All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.find
Interface FindSelectorInterface

All Known Implementing Classes:
  OLAPFindSelectorAdapter

    @SASScope(value="ALL")
    public interface FindSelectorInterface

Defines methods and properties required for an adapter implementation of the find selector.

Field Summary
`static java.lang.String` | `BACKWARD`
`static java.lang.String` | `CELL_VALUES_BY_COLUMN`
`static java.lang.String` | `CELL_VALUES_BY_ROW`
`static java.lang.String` | `COLUMN_AXIS`
`static java.lang.String` | `COLUMN_NUMBER`
`static java.lang.String` | `CONTAINS`
`static java.lang.String` | `EQUAL_TO`
`static java.lang.String` | `ERROR`
`static java.lang.String` | `FORWARD`
`static java.lang.String` | `GOTO`
`static java.lang.String` | `GREATER_THAN`
`static java.lang.String` | `GREATER_THAN_OR_EQUAL_TO`
`static java.lang.String` | `LESS_THAN`
`static java.lang.String` | `LESS_THAN_OR_EQUAL_TO`
`static java.lang.String` | `LIKE`
`static java.lang.String` | `MEMBERS_ON_COLUMNS`
`static java.lang.String` | `MEMBERS_ON_ROWS`
`static java.lang.String` | `NOT_FOUND`
`static java.lang.String` | `ROW_AXIS`
`static java.lang.String` | `ROW_COLUMN_AXIS`
`static java.lang.String` | `ROW_NUMBER`
`static java.lang.String` | `SEARCH_WRAPPED`
`static java.lang.String` | `STARTS_WITH`

Method Summary
`abstract java.util.Map` | `find(java.lang.String type, java.lang.String condition, java.lang.String value, java.lang.String direction)`
`abstract void` | `setCurrentColumn(int column)`
`abstract void` | `setCurrentRow(int row)`

Field Detail

### MEMBERS_ON_ROWS

    static final java.lang.String MEMBERS_ON_ROWS

See Also:
  Constant Field Values

### MEMBERS_ON_COLUMNS

    static final java.lang.String MEMBERS_ON_COLUMNS

See Also:
  Constant Field Values

### CELL_VALUES_BY_ROW

    static final java.lang.String CELL_VALUES_BY_ROW

See Also:
  Constant Field Values

### CELL_VALUES_BY_COLUMN

    static final java.lang.String CELL_VALUES_BY_COLUMN

See Also:
  Constant Field Values

### FORWARD

    static final java.lang.String FORWARD

See Also:
  Constant Field Values

### BACKWARD

    static final java.lang.String BACKWARD

See Also:
  Constant Field Values

### EQUAL_TO

    static final java.lang.String EQUAL_TO

See Also:
  Constant Field Values

### LESS_THAN

    static final java.lang.String LESS_THAN

See Also:
  Constant Field Values

### GREATER_THAN

    static final java.lang.String GREATER_THAN

See Also:
  Constant Field Values

### LESS_THAN_OR_EQUAL_TO

    static final java.lang.String LESS_THAN_OR_EQUAL_TO

See Also:
  Constant Field Values

### GREATER_THAN_OR_EQUAL_TO

    static final java.lang.String GREATER_THAN_OR_EQUAL_TO

See Also:
  Constant Field Values

### STARTS_WITH

    static final java.lang.String STARTS_WITH

See Also:
  Constant Field Values

### CONTAINS

    static final java.lang.String CONTAINS

See Also:
  Constant Field Values

### LIKE

    static final java.lang.String LIKE

See Also:
  Constant Field Values

### NOT_FOUND

    static final java.lang.String NOT_FOUND

See Also:
  Constant Field Values

### SEARCH_WRAPPED

    static final java.lang.String SEARCH_WRAPPED

See Also:
  Constant Field Values

### ERROR

    static final java.lang.String ERROR

See Also:
  Constant Field Values

### ROW_AXIS

    static final java.lang.String ROW_AXIS

See Also:
  Constant Field Values

### COLUMN_AXIS

    static final java.lang.String COLUMN_AXIS

See Also:
  Constant Field Values

### ROW_COLUMN_AXIS

    static final java.lang.String ROW_COLUMN_AXIS

See Also:
  Constant Field Values

### GOTO

    static final java.lang.String GOTO

See Also:
  Constant Field Values

### ROW_NUMBER

    static final java.lang.String ROW_NUMBER

See Also:
  Constant Field Values

### COLUMN_NUMBER

    static final java.lang.String COLUMN_NUMBER

See Also:
  Constant Field Values

Method Detail

### find

    java.util.Map find(java.lang.String type,
                       java.lang.String condition,
                       java.lang.String value,
                       java.lang.String direction)
                       throws OLAPException

  Throws:
    `OLAPException`

### setCurrentRow

    void setCurrentRow(int row)

### setCurrentColumn

    void setCurrentColumn(int column)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.